Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.spi
Class XMPPServerInfoImpl

    java.lang.Object
      org.jivesoftware.openfire.spi.XMPPServerInfoImpl

All Implemented Interfaces:
  XMPPServerInfo

    public class XMPPServerInfoImpl

extends Object
implements XMPPServerInfo

Implements the server info for a basic server. Optimization opportunities in reusing this object the data is relatively static.

Author:
  Iain Shigeoka

Constructor Summary
`XMPPServerInfoImpl(String xmppDomain, String hostname, Version version, Date startDate, ConnectionManager connectionManager)` Simple constructor

Method Summary
`String` | `getHostname()` Obtain the host name (IP address or hostname) of this server node.
`Date` | `getLastStarted()` Obtain the date when the server was last started.
`String` | `getName()` Deprecated.
`Collection<ServerPort>` | `getServerPorts()` Obtain the server ports active on this server.
`Version` | `getVersion()` Obtain the server's version information.
`String` | `getXMPPDomain()` Obtain the server XMPP domain name.
`void` | `setName(String serverName)` Deprecated.
`void` | `setXMPPDomain(String domainName)` Set the server XMPP domain name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMPPServerInfoImpl

    public XMPPServerInfoImpl(String xmppDomain,
                              String hostname,
                              Version version,
                              Date startDate,
                              ConnectionManager connectionManager)

  Simple constructor

  Parameters:
    `xmppDomain` - the server's XMPP domain name (e.g. example.org).
    `hostname` - the server's host name (e.g. server1.example.org).
    `version` - the server's version number.
    `startDate` - the server's last start time (can be null indicating it hasn't been started).
    `connectionManager` - the object that keeps track of the active ports.

Method Detail

### getVersion

    public Version getVersion()

  Description copied from interface: `XMPPServerInfo`
  Obtain the server's version information. Typically used for iq:version and logging information.

  Specified by:
    `getVersion` in interface `XMPPServerInfo`
  Returns:
    the version of the server.

### getName

    @Deprecated
    public String getName()

  Deprecated.

  Description copied from interface: `XMPPServerInfo`
  Obtain the server name (IP address or hostname).

  Specified by:
    `getName` in interface `XMPPServerInfo`
  Returns:
    the server's name as an IP address or host name.

### setName

    @Deprecated
    public void setName(String serverName)

  Deprecated.

  Description copied from interface: `XMPPServerInfo`
  Set the server name (IP address or hostname). The server must be restarted for this change to take effect.

  Specified by:
    `setName` in interface `XMPPServerInfo`
  Parameters:
    `serverName` - the server's name as an IP address or host name.

### getHostname

    public String getHostname()

  Description copied from interface: `XMPPServerInfo`
  Obtain the host name (IP address or hostname) of this server node.

  Specified by:
    `getHostname` in interface `XMPPServerInfo`
  Returns:
    the server's host name as an IP address or host name.

### getXMPPDomain

    public String getXMPPDomain()

  Description copied from interface: `XMPPServerInfo`
  Obtain the server XMPP domain name. Note that, if unconfigured, the returned value will equal the hostname or IP address of the server.

  Specified by:
    `getXMPPDomain` in interface `XMPPServerInfo`
  Returns:
    the name of the XMPP domain that this server is part of.

### setXMPPDomain

    public void setXMPPDomain(String domainName)

  Description copied from interface: `XMPPServerInfo`
  Set the server XMPP domain name. The server must be restarted for this change to take effect.

  Specified by:
    `setXMPPDomain` in interface `XMPPServerInfo`
  Parameters:
    `domainName` - the XMPP domain that this server is part of.

### getLastStarted

    public Date getLastStarted()

  Description copied from interface: `XMPPServerInfo`
  Obtain the date when the server was last started.

  Specified by:
    `getLastStarted` in interface `XMPPServerInfo`
  Returns:
    the date the server was started or null if server has not been started.

### getServerPorts

    public Collection<ServerPort> getServerPorts()

  Description copied from interface: `XMPPServerInfo`
  Obtain the server ports active on this server.

  Specified by:
    `getServerPorts` in interface `XMPPServerInfo`
  Returns:
    an iterator over the server ports for this server.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.